tagTags

Retrieve all tags

get

Retrieve all tags in a workspace.

Responses
chevron-right
200

All tags in a workspace.

application/json
idstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The tag's name.

Example: Tag Name
colorstring · enumRequired

The tag's color.

Possible values:
created_atstring · date-timeRequired

Timestamp of when the tag was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the tag was last updated.

Example: 2025-01-01T00:00:00.000Z
get
/tags

Create a new tag

post

Create a new tag.

Body
namestringRequired

The tag's name.

Example: Qualified
colorstring · enumRequired

The tag's color.

Possible values:
Responses
post
/tags

Retrieve a single tag

get

Retrieve a tag by its ID.

Path parameters
tagIdstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Responses
chevron-right
200

A tag.

application/json
idstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The tag's name.

Example: Tag Name
colorstring · enumRequired

The tag's color.

Possible values:
created_atstring · date-timeRequired

Timestamp of when the tag was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the tag was last updated.

Example: 2025-01-01T00:00:00.000Z
get
/tags/{tagId}

Update a tag

patch

Update a tag.

Path parameters
tagIdstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Body
namestringRequired

The tag's name.

Example: Qualified
colorstring · enumRequired

The tag's color.

Possible values:
Responses
chevron-right
200

The tag that was updated.

application/json
idstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The tag's name.

Example: Tag Name
colorstring · enumRequired

The tag's color.

Possible values:
created_atstring · date-timeRequired

Timestamp of when the tag was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the tag was last updated.

Example: 2025-01-01T00:00:00.000Z
patch
/tags/{tagId}

Delete a tag

delete

Delete a tag.

Path parameters
tagIdstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Responses
chevron-right
200

The tag that was deleted.

application/json
idstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The tag's name.

Example: Tag Name
colorstring · enumRequired

The tag's color.

Possible values:
created_atstring · date-timeRequired

Timestamp of when the tag was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the tag was last updated.

Example: 2025-01-01T00:00:00.000Z
delete
/tags/{tagId}

Last updated